package require -exact qsys 14.0
create_system hps_reset
add_instance hps_reset altera_in_system_sources_probes
set_instance_property hps_reset AUTO_EXPORT true
set param_pairs [list]
lappend param_pairs {device_family} {Arria 10}
lappend param_pairs {source_width} {3}
lappend param_pairs {probe_width} {0}
lappend param_pairs {sld_instance_index} {0}
lappend param_pairs {instance_id} {RST}
lappend param_pairs {source_initial_value} {0}
lappend param_pairs {enable_metastability} {YES}
lappend param_pairs {gui_use_auto_index} {true}
lappend param_pairs {create_source_clock_enable} {false}
lappend param_pairs {create_source_clock} {true}
foreach {param_name param_value} $param_pairs {
    set sys_info_type [get_instance_parameter_property hps_reset "$param_name" SYSTEM_INFO_TYPE]
    if {$sys_info_type == "DEVICE_FAMILY"} {
        set_project_property DEVICE_FAMILY "$param_value"
        break;
    }
}
foreach {param_name param_value} $param_pairs {
    set_instance_parameter_value hps_reset "$param_name" "$param_value"
}
save_system {/data/jdasilva/p4root/acds/main/embedded/examples/hardware/a10_soc_devkit_ghrd/ip/altsource_probe/hps_reset.qsys}
